import * as _nuxt_schema from '@nuxt/schema';
import * as echartsComponents from 'echarts/components';
import * as echartsCharts from 'echarts/charts';
import * as echartsFeatures from 'echarts/features';

type ComponentName = keyof typeof echartsComponents;
type ChartName = keyof typeof echartsCharts;
type FeaturesName = keyof typeof echartsFeatures;
type RendererName = 'canvas' | 'svg';
interface ModuleOptions {
    /**
     * @default 'canvas'
     */
    renderer?: RendererName | RendererName[];
    /**
     * Register the required charts globally
     */
    charts?: ChartName[];
    /**
     * Register the required components globally
     */
    components?: ComponentName[];
    /**
     * Register the required components globally
     */
    features?: FeaturesName[];
    /**
     * WIP
     *
     * @default false
     */
    ssr?: boolean;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
